<bugID>1074167<Summary>Autocomplete results for aliased search engines should use the search engine icon</Summary><Description>Bug 1067896 added an autocomplete result for aliased search engines. They behave like bookmark keywords. But look the same as using the current search engine (from bug 1067888), with the exception that the icon should be the search engine's icon (as opposed to a magnifying glass for the current search engine).

Currently, these results do not show the search engine's icon.</Description></bugID>